 
 SORT-11 is an utility program that allows you to read
 an input file, to sort the contents, and to write out the sorted
 data into an output file.  The sorting sequence is determined by
 control fields, also known as key fields, within the data itself.
 
 The general form of a SORT-11 command line is:
 
	outfilespec</sw(s)>=infilespec</sw(s)><,specfilespec>
 
 where:	outfilespec	= output file specification
	infilespec	= input file specification
	specfilespec	= specification file specification
	/sw		= one or more of SORT's switches

 For a list of valid switches type HELP SORT SWITCHES
 For help on a particular switch type HELP SORT <switch>
2 SWITCHES
 Switch	   Position in Line	Function
 ======	   ================	========
  /AL:n		Output		Initial Allocation in Blocks
  /BL:n		Both		Magtape Blocksize
  /BU:n		Output		Bucketsize for output file
  /CO		Output		Make output file Contiguous
  /DE:x		Input		Put Scratch files on named device
  /FI:n		Both		Use n Scratch files
  /FO:x:n	Both		Format and recordsize of file
  /IN:x		Input		Indexed file with x keys
  /KE:abm.n	Input		Key specification
  /PR:x		Input		Type of sort process required
  /RE		Output		Relative File
  /SE		Output		Sequential File
  /SI:n		Output		Retrieval Window Size
2 AL
  /AL:n		Output		Initial Allocation in Blocks
 
 /AL:n	is used to specify the initial space allocation for the
	output file.  N must be between 0 and 65,535.
 
	The default is taken from the input file for record and
	tag sort processes.  For index and address routing sort
	processes, the default size is based on the number of
	records sorted.
 
2 BL
  /BL:n		Both		Magtape Blocksize
 
 /BL:n	valid for magtape files only and specified the nonstandard
	magtape block size in bytes.
 
	The default is /BL:512
 
2 BU
  /BU:n		Output		Bucketsize for output file
 
 /BU:n	specified the RMS bucket size (the number of 512-byte
	blocks per bucket).  Note that the size of the block is
	the standard 512 bytes even if the /BL switch is used.
 
	The default value of this switch depends on the organi-
	zation of the input file.  If the input and output files
	are of the same organization, the default for the output
	file is the input file value.  If the input files differ
	in organization or the default is required for the input
	file, the default value is 1.
 
2 CO
  /CO		Output		Make output file Contiguous
 
 /CO	specifies that the output file will be contiguously allo-
	cated.
 
	The default is /-CO (noncontiguous).
 
2 DE
  /DE:x		Input		Put Scratch files on named device
 
 /DE:x	specifies the device on which you want the scratch files.
	This switch overrides any device specification from the
	task build options.  X is any 1- to 4-character device
	name with the colon that normally follows that name
	omitted (for example, DB3).
 
2 FI
  /FI:n		Both		Use n Scratch files
 
 /FI:n	specifies the maximum number of intermediate scratch
	files.  Legal values are from 3 to 8.
 
	The default is /FI:5
 
2 FO
  /FO:x:n	Both		Format and recordsize of file
 
 /FO:x:n	specifies the record format (x) and the maximum
		record size (n) isn a file.  X may take the
		following values:
 
			FIXED
			STREAM
			VARIABLE
			UNKNOWN
 
		Record format values may be truncated to the first
		letter.  N is the exact record size in bytes for
		FIXED length records.  For the other formats, n is
		the size in bytes of the largest record present.
		N is required only on input.
 
		This switch must be present in input files even if
		the format is UNKNOWN.  The default for x is
		VARIABLE.
 
2 IN
  /IN:x		Input		Indexed file with x keys
 
 /IN:x	specifies the INDEXED SEQUENTIAL file organization.  X
	specifies the number of keys (no default).
 
2 KE
  /KE:abm.n	Input		Key specification
 
 /KE:abm.n	specifies which fields control the sequence of the
	output file.  You can specify more than one key field (up to 10)
	if you separate each description from the next with a colon.
	For example: 	/KE:BN1.6:C8.2
 
   a	specifies the way in which the data is to be handled.  If
	it is omitted, the default value is C.  The possible values
	are: 	B, C, D, F, I, J, K, P, Z
 
	For information about any of them, type HELP SORT KE letter
 
   b	defines the general sort order.  The possible values are:
		N	Ascending order
		O	Opposite, or descending, order
 
   m	is a decimal number giving the first byte of the key field
	starting from 1.  This item must be present.
 
   n	is a decimal number giving the length of the key field in
	bytes.  This item must be present.
3 B
 
 /KE:B	twos complement binary
 
3 C
 
 /KE:C	Alphanumeric
 
3 D
#K
3 F
 
 /KE:F	2- or 4-word floating point binary
 
3 I
#K 
3 J
#K 
3 K
 
 /KE:D	If the characters are alphabetic, numeric with the sign
	superimposed over the units digit, or contain slashes (/),
	use the value of the digits group.  For example:
 
		A2CD5 = (+) 12345  and A/47J = (-) 11471
 
	If the characters represent a standard FORTRAN IV number,
	such as 12, -35, 42.98, or -0.76E+3, convert the number
	to binary for storage or evaluation.
 
 /KE:I	Same as D, but with the sign leading and separate, so that
	the first byte of the field is a + or -
 
 /KE:J	Same as I but with the sign trailing and separate
 
 /KE:K	Same as D but with the sign leading and overpunched
	(54321, for instance if positive,  would come out as
	5432A.  the negative of 54321 would be 5432J).
3 P
 
 /KE:P	Packed decimal format
 
3 Z
 
 /KE:Z	ASCII zone
 
2 PR
  /PR:x		Input		Type of sort process required
 
 /PR:x	specifies the type of sorting process to use.  The legal
	values are:
 
	R - RECORD (the default)
	T - TAG
	A - ADDRESS ROUTING
	I - INDEX
 
2 RE
  /RE		Output		Relative File
 
 /RE	specifies RELATIVE file organization
 
2 SE
  /SE		Output		Sequential File
 
 /SE	specifies SEQUENTIAL file organization
 
2 SI
  /SI:n		Output		Retrieval Window Size
 
 /SI:n	specifies the size of the retrieval window.  The ranges
	and defaults for this switch are determined by the
	operating system.  Check with your system manager.
 
